Redmine - Defect #16587

Using similar accounts for svn:// access and LDAP results in both not working
2014-04-09 16:51 - Matthias Bendewald

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Accounts / authentication Estimated time: 0.00 hour

Target version:

Resolution: Invalid Affected version: 2.5.1

Description

We have an environment where my username for svn:// access is "Surname”
while my LDAP account is "surname", with different passwords.

As soon as | configure the access to svn:// with my username and password
while my Redmine account is configured as LDAP account, noone is able to
login with LDAP accounts anymore and all repositories that use my useraccount
to gather the revisions do not work anymore.

I am not sure if using both with the same casing works better, should | test
that? What else can | do to help?

Environment:
Everything is windows here, using the Bitnami Redmine stack (Version 2.5.1)

MySQL Version 5.5.36
Redmine version 2.5.1.stable
Ruby version 1.9.3-p231 (2012-05-25) [1386-mingw32]
Rails version 3.2.17
Environment production
Database adapter Mysqgl2
SCM:
Subversion 1.8.5
Git 1.9.0
Filesystem

Redmine plugins:
redmine_code_review 0.6.3

History

#1 - 2014-04-09 23:44 - Toshi MARUYAMA
- Status changed from New to Closed

- Resolution set to Invalid

Please use forum.

#2 - 2014-04-10 14:20 - Matthias Bendewald

What do you mean by "please use forum"? This is a bug, not a question!
